import { IQuoteRequestPremiumPaymentComponent } from '@boldpenguin/sdk-types';
export declare class BpSdkQuoteRequestPremiumPayment implements IQuoteRequestPremiumPaymentComponent {
    /**
     * Price
     */
    period: string;
    /**
     * Price
     */
    price: string;
    /**
     * Show obelus
     */
    showObelus: boolean;
    useExternal: boolean;
    resetState(): void;
    componentWillLoad(): void;
    render(): any[];
    renderExternal(): any;
    renderInternal(): any;
    private priceDisplay;
}
